Page MenuHome

Blender quits on undo/redo after changing object color
Closed, InvalidPublicTO DO

Description

System Information
Win7/64, AMD HD6850

Blender Version

blender-2.70-c6d8540-win64: works
blender-2.70-9de24c8-win64: broken
2.70a official: works
blender-2.70-6e9c2d0-win64: broken
...
blender-2.70-362b25b3-win64: broken

Short description of error
Blender quits on undo/redo after changing object color

Exact steps for others to reproduce the error

  1. Open
  2. Change the object color (object properties, "Display" section)
  3. Undo (Ctrl+Z). => Blender quits without a message. I've made several tests, and normally it quits immediatelly, but sometimes you have to press Undo,Redo,Undo,Redo,... several times to make it quit.

Please note which versions mentioned above crash/work: Broken with nightly, then works with official, then broken again.

Crash log:

Event Timeline

Willi (willi) raised the priority of this task from to 90.
Willi (willi) updated the task description. (Show Details)
Willi (willi) added a project: BF Blender.
Willi (willi) edited a custom field.
Willi (willi) added a subscriber: Willi (willi).

Cannot confirm that on Linux64 with recent builds, neither release nor debug+asan, neither with your file nor with default cube…

Assuming this is a windows issue for now? Can someone on this platform try to reproduce?

Willi (willi) added a comment.EditedMay 6 2014, 4:01 PM

This is strange. Did some more tests:

In VM:

  • Kubuntu: no crash
  • Win7/64: no crash. Tried 362b25b3, 7660218 (x64), 7660218 (x86, VC12)

On physical machine:
7660218-win64: still crash
7660218-win32-vc12: works!

Narrowing down with 7660218-win64:

  • Removed all window layouts but "Default": still crash
  • Loaded factory settings: still crash
  • "Load UI" disabled: still crash

This is hard to catch because undo/redo has to be done several times until it crashes, so I never know when it's safe to say it "works". In addition, after restarting Blender, the same situation sometimes works and sometimes crashes.

Still investigating...

Willi (willi) added a comment.EditedMay 6 2014, 4:31 PM

The "safest" situation should be:

  1. Start Blender
  2. Restore factory settings
  3. Load UndoRedo.blend without UI

If I do this, it still crashes.

Though, it always works with c6d8540, and also with latest 32 bit build. "Always" means: Starting Blender four times, and each time doing undo/redo about 50 times.
:-/

Using Windbg, I can see that Undo causes an access violation. But without debug symbols, there's unfortunatelly nothing helpful I can provide now - can I?

....However: The 32 bit version that always works if started from Windows Explorer (double-click) also sometimes crashes if started via command line (current dir=blender dir).

Oh, sometimes the console says "error: not freed memory blocks: 180" (or other number) when quitting even though I performed the same steps as the previous time where it did not report any not freed memory blocks.

Sorry, this is too random to give more reliable information.

Campbell Barton (campbellbarton) lowered the priority of this task from 90 to 50.May 7 2014, 10:24 AM

I have a fix for this prepared. will commit soon (or send for review)

Oh, ok. Thanks a lot for looking into it anyway.

@Willi (willi), to be clear, the crash is fixed, just not in such a nice way.

Campbell Barton (campbellbarton) changed the task status from Unknown Status to Unknown Status.May 8 2014, 9:30 PM